<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ResultExam_mobile.aspx.cs" Inherits="RM.Web.Training.Exam.ResultExam_mobile" %>

<%@ Register Src="~/UserControl/mobile_head.ascx" TagName="Head" TagPrefix="uc" %>
<%@ Register Src="~/UserControl/mobile_foot.ascx" TagName="Foot" TagPrefix="uc" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ResultExam_Title")%></title>
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=0.5, maximum-scale=2.0, user-scalable=no" />
    <link href="/Training/Exam/Themes/Css/ExamGlobal.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>    
<link href="/Training/Exam/Themes/Css/ExaminationCss.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="/Training/Learn/m/ckplayer/ckplayer.js" charset="utf-8"></script>
    <script src="/Live/swfobject.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/jQuery.path2html.js" type="text/javascript"></script>

        
    <style type="text/css">    
    
    .cor5,.exam_result label,.exam_Title{ font-size:16px; line-height:25px;  }    
    .exam_Title {color: #686868; }
    .exam_Title input{ width:100px;}
    .exam_result input{ margin-top:6px; }
    .ques_Context { display: none; max-width: 340px; }
    .activeQuetion { display: block !important;  display: block;}
    .correct { padding: 6px 15px; background: url("/Themes/Images/32/Select.png") no-repeat 0 -3px;  }
    .errorQuesion { padding: 6px 15px; background: url("/Themes/Images/32/468.png") no-repeat 0 -3px; }
    .checkedInput2{ width:50px; float:left; }
    .op_Result { width:300px;  border-top: 1px dotted black; line-height: 30px; margin-top: 10px; float:left;  }
    .op_Discription fieldset { width:275px;  border-style: dashed; border: 1px dashed #CCC; background-color: #f4ffff; }
.question_Ttitle { font-size: 12pt !important; color: Red !important; font-weight: bold !important; cursor: default !important; }
.op_Result, .op_Discription { cursor: default !important; }
.ques_Context2{overflow:hidden;}
    </style>
    <link type="text/css" href="/Themes/Styles/mobile_index.css" rel="stylesheet" />
    <script type="text/javascript">
         var browser = {
            versions: function () {
                var u = navigator.userAgent, app = navigator.appVersion;
                return {         //移动终端浏览器版本信息
                    trident: u.indexOf('Trident') > -1, //IE内核
                    presto: u.indexOf('Presto') > -1, //opera内核
                    webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
                    gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
                    mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
                    ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                    android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或uc浏览器
                    iPhone: u.indexOf('iPhone') > -1, //是否为iPhone或者QQHD浏览器
                    iPad: u.indexOf('iPad') > -1, //是否iPad
                    wp: u.indexOf('IEMobile') > -1, //是否wp
                    symbianos: !!u.match(/SymbianOS.*/), //是否SymbianOS
                    webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
                };
            } (),
            language: (navigator.browserLanguage || navigator.language).toLowerCase()
        }
        $(function () {
            if (browser.versions.ios) {
                $("#lineheader").css("height", "20");
                $(".mg50").addClass("mg60").removeClass("mg50");
            }
        });

        $(function () {
            $(".exam_result>li,.exam_result>li>label,.exam_result>li>input").hover(function () { $(this).css("cursor", "default"); }, function () { });
            $("input[type=checkbox],input[type=radio],input[type=text],textarea").attr("disabled", "disabled"); //把答题锁住
            
            //把经常变换的对象预留出来
            var $currQueCount = $("#currQueCount"); //答题情况
            var $exam_Num = $("#exam_Num"); //题目编号
            var $list = $(".ques_Context"); //题目对象
            var $linkList = $(".curr_State>li>a"); //右侧题目编号列表
            var $pageBody = $("body"); //body对象
            var $examItem = $("#examItem"); //左侧题目对象
            if (!$list || $list.length < 1 || !$linkList || $linkList.length < 1) {//页面有错误
                return;
            }
            $list.first().addClass("activeQuetion");
            $linkList.first().addClass("currLinkNum");

            //自适应宽高
//            function changePageWindow() {
//                if ($pageBody.height() < $("#toolBar").height()) //右侧工具栏自适应高度
//                    $("#toolBar").css("overflow", "scroll");
//                else
//                    $("#toolBar").css("overflow", "auto");
//                $("#toolBar").height($pageBody.height());
                //$examItem.width($pageBody.width() - 290); //左侧题目自适应高度
//                changePageHeight();
//            }
            //每次题目改变根据题目的高度自适应高度
//            function changePageHeight() {
//                if ($examItem.height() > $pageBody.height()) {
//                    $examItem.css("overflow", "scroll");
//                } else {
//                    $examItem.css("overflow", "auto");
//                }
//                $examItem.height($pageBody.height() - 100);
//            }
//            changePageWindow();
//            $(window).resize(changePageWindow); //绑定系统宽高改变事件
            $("#upQuestion").click(function () {//上一题
                var $tempObj = $(".activeQuetion");
                var $tempNumObj = $(".currLinkNum");
                if ($tempObj.prev().length < 1) {
                    showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterList_mysyt")%>", 2000, 3);
                } else {
                    $tempObj.removeClass("activeQuetion").prev().addClass("activeQuetion");
                    $tempNumObj.removeClass("currLinkNum").prev().addClass("currLinkNum");
                }
            });
            $("#nextQuesion").click(function () {//下一题
                var $tempObj = $(".activeQuetion");
                var $tempNumObj = $(".currLinkNum");
                if ($tempObj.next().length < 1) {
                    showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterList_myxyt")%>", 2000, 3);
                } else {
                    $tempObj.removeClass("activeQuetion").next().addClass("activeQuetion");
                    $tempNumObj.removeClass("currLinkNum").next().addClass("currLinkNum");
                }
            });
            $linkList.click(function () { //右侧题目列表
                $("#btnContainer").show();
                qh = false;
                $(".activeQuetion").removeClass("activeQuetion");
                $(".currLinkNum").removeClass("currLinkNum");
                $(this).addClass("currLinkNum");
                $list.eq(parseInt($(this).text()) - 1).addClass("activeQuetion");
            });
        });
        var qh = false;
        function qiehuan() {
            var $list = $(".ques_Context"); //题目对象
            var $linkList = $(".curr_State>li>a"); //右侧题目编号列表
            if ($list.length > 0) {//页面有错误
                for (var i = 0; i < $list.length; i++) {
                    if (qh == false) {
                        $list.addClass("ques_Context activeQuetion");
                    }
                    if (qh == true) {
                        $list.removeClass("activeQuetion");
                    }
                }
                if (qh == true) {
                    $list.first().addClass("activeQuetion");
                    $("#btnContainer").show();
                    qh = false;
                } else {
                    qh = true;
                    $("#btnContainer").hide();
                }
            }
        }

        function Tshow() {
            $("#toolBar").toggle();
        }
        function Thide() {
            $("#toolBar").hide();
        }  

    </script>
</head>
<body>
    <form id="form1" runat="server" style="margin-top:50px;">
<uc:Head ID="Head2" runat="server" /> 
<div class="mg60">
<div class="mid_head_tit" style="margin-top:50px; margin-bottom:10px;">
<a class="fl tit_a on tc white" href="/Training/ExamPlan/exam_task.aspx?action=history"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Chapter_back")%></a>
            <h3 class="h3 tc fs14 fwb cor1" runat="server" id="ExaminationPaperTitle" style="font-size:16px;"></h3>
        </div>

    <div class="pb60 clear " style="width:320px; margin:0 auto;padding:2%; margin-top:5px; background-color:#fff; border:1px solid #ccc; ">
        <div id="examItem" style=" padding:0px;" >
            <div id="ei_Container">
                <div class="examContext" style=" font-size:18px; padding:10px; "  >
                    <%=QuestionHtml.ToString() %>
                </div>
            </div>
             <div id="btnContainer">
                <a href="#" style=" padding:8px 10px;"  id="upQuestion" class="background5">
                &nbsp;<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterList_syt")%>&nbsp;</a>
            	<a href="#" style=" padding:8px 10px;" id="nextQuesion" class="background5">
                &nbsp;<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterList_xyt")%>&nbsp;</a>
            </div>
            <div class="promptContext"><fieldset id="er_Container">
                    <legend><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Exam_chengji")%></legend>                    
                    <ul id="er_List">
                        <li><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Exam_cpxueyuan")%>：<span id="txtStuName" runat="server"></span> </li>
                        <li><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Exam_cpdefen")%>：<span id="txtScore" runat="server">0</span> </li>
                        <li style=" display:none;"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Exam_zhengquelv")%>：<span id="txtAccuracy" runat="server"></span></li>
                        <li><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Report_sftg")%>：<span id="txtIsThrough" runat="server"></span></li>
                        
                    </ul>
                </fieldset>
            </div>
        </div> 

        </div>        
             <div id="toolBar" style=" position:absolute; top:0; right:0; display:none;">
            <ul id="currState" style=" display:none;">
                <li id="prot_Title"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Examination_kssysj")%></li>
            </ul>
            
            <div id="currStateInfo">
                <div class="ans_State"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Examination_dtqk")%></div>
               <div style=" text-align:right;"><span onclick="Thide()"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Close")%></span></div>
                <ul class="curr_State">
                    <li>
                        <%=LinkStateHtml.ToString()%>
                    </li>
                </ul>
                <div class="promptContext">                
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Examination_dgdtmxshs")%><br />
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Examination_wdgdxsbs")%></div>
            </div>
        </div>

        <div class="clear">
        </div>
    
    </div>

    </form>

<uc:Foot ID="Foot1" runat="server" />

        <script type="text/javascript">
            var i = 0;
            $("annex").each(function () {
                $(this).attr("id", "aa" + i);
                var fileUrl = $(this).text();
                window.path2html("aa" + i, fileUrl);
                i++;
            });   
    </script>
</body>
</html>
